module Cbc_jll
using Libdl
is_available() = true
find_artifact_dir() = "/usr"
artifact_dir = "/usr"
const PATH_list = String[]
const LIBPATH_list = String[]
const PATH = Ref("")
const LIBPATH = Ref("")
const LIBPATH_env = "LD_LIBRARY_PATH"
export libCbc
const libCbc_path = "/usr/lib/libCbc.so.3"
libCbc_handle = C_NULL
get_libCbc_path() = libCbc_path
const libCbc = "libCbc.so.3"
export libOsiCbc
const libOsiCbc_path = "/usr/lib/libOsiCbc.so.3"
libOsiCbc_handle = C_NULL
get_libOsiCbc_path() = libOsiCbc_path
const libOsiCbc = "libOsiCbc.so.3"
export libcbcsolver
const libcbcsolver_path = "/usr/lib/libCbcSolver.so.3"
libcbcsolver_handle = C_NULL
get_libcbcsolver_path() = libcbcsolver_path
const libcbcsolver = "libCbcSolver.so.3"
export cbc
const cbc_path = "/usr/bin/cbc"
cbc(f::Function; kw...) = f(cbc_path)
cbc(; kw...) = Cmd([cbc_path])
function __init__()
    global libCbc_handle = dlopen(libCbc_path)
    global libOsiCbc_handle = dlopen(libOsiCbc_path)
    global libcbcsolver_handle = dlopen(libcbcsolver_path)
end
end
